
From: Marc-Christian Petersen <m.c.p@kernel.linux-systeme.com>

Give the vesafb `vram' boot option the same (silly) syntax as 2.4 and
document it.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/fb/vesafb.txt |    4 ++++
 25-akpm/drivers/video/vesafb.c      |    2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff -puN Documentation/fb/vesafb.txt~vram-boot-option Documentation/fb/vesafb.txt
--- 25/Documentation/fb/vesafb.txt~vram-boot-option	2004-05-31 16:54:51.855602696 -0700
+++ 25-akpm/Documentation/fb/vesafb.txt	2004-05-31 16:54:51.860601936 -0700
@@ -146,6 +146,10 @@ pmipal	Use the protected mode interface 
 
 mtrr	setup memory type range registers for the vesafb framebuffer.
 
+vram:n	remap 'n' MiB of video RAM. If 0 or not specified, remap memory
+	according to video mode. (2.5.66 patch/idea by Antonino Daplas
+	reversed to give override possibility (allocate more fb memory
+	than the kernel would) to 2.4 by tmb@iki.fi)
 
 Have fun!
 
diff -puN drivers/video/vesafb.c~vram-boot-option drivers/video/vesafb.c
--- 25/drivers/video/vesafb.c~vram-boot-option	2004-05-31 16:54:51.857602392 -0700
+++ 25-akpm/drivers/video/vesafb.c	2004-05-31 16:54:51.861601784 -0700
@@ -207,7 +207,7 @@ int __init vesafb_setup(char *options)
 			mtrr=1;
 		else if (! strcmp(this_opt, "nomtrr"))
 			mtrr=0;
-		else if (! strncmp(this_opt, "vram=", 5))
+		else if (! strncmp(this_opt, "vram:", 5))
 			vram = simple_strtoul(this_opt+5, NULL, 0);
 	}
 	return 0;
_
